libnb-org-openide-modules-java_10.0-2_all.deb


Advertisement

Description

libnb-org-openide-modules-java - Utility classes for modules from the NetBeans Platform

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnb-org-openide-modules-java_10.0-2_all.deb
Package name libnb-org-openide-modules-java
Package version 10.0
Package release 2
Package architecture all
Package type deb
Category devel::lang:java devel::library implemented-in::java java role::devel-lib
Homepage https://netbeans.org/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 21.79 KB
Installed size 79.00 KB
The NetBeans Platform is a set of modules, each providing their own
APIs and working together or in a standalone mode. This package provides
some utility functions for managing NetBeans modules.

Alternatives

Package Version Architecture Repository
libnb-org-openide-modules-java_10.0-2_all.deb 10.0 all Debian Main
libnb-org-openide-modules-java - - -

Requires

Name Value
libnb-org-openide-util-java >= 10.0-2
libnb-org-openide-util-lookup-java >= 10.0-2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnb-org-openide-modules-java_10.0-2_all.deb
Source Package libnb-platform18-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnb-org-openide-modules-java deb package:
    # sudo apt-get install libnb-org-openide-modules-java

Files

Path
/usr/share/doc/libnb-org-openide-modules-java/changelog.Debian.gz
/usr/share/doc/libnb-org-openide-modules-java/copyright
/usr/share/java/org-openide-modules-10.0.jar
/usr/share/java/org-openide-modules.jar
/usr/share/lintian/overrides/libnb-org-openide-modules-java
/usr/share/maven-repo/org/netbeans/api/org-openide-modules/10.0/org-openide-modules-10.0.jar
/usr/share/maven-repo/org/netbeans/api/org-openide-modules/10.0/org-openide-modules-10.0.pom
/usr/share/maven-repo/org/netbeans/api/org-openide-modules/debian/org-openide-modules-debian.jar
/usr/share/maven-repo/org/netbeans/api/org-openide-modules/debian/org-openide-modules-debian.pom

Changelog

2019-01-25 - Markus Koschany <apo@debian.org>
libnb-platform18-java (10.0-2) unstable; urgency=medium
* Update platform-osgi-update.patch and return an
UnsupportedOperationException instead of a NULL pointer.
* Add AutoUpdate-NEVER.patch and set the defaultCheckInterval to NEVER to
prevent automatic updates. This can be changed by users individually.
(Closes: #842284)
* Remove antlr-runtime symlink because it is not platform specific.
2019-01-23 - Markus Koschany <apo@debian.org>
libnb-platform18-java (10.0-1) unstable; urgency=medium
* New upstream version 10.0.
- Fix FTBFS. (Closes: #876499)
* Drop libnb-platform18-java-doc package.
2018-04-24 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-8) unstable; urgency=medium
* Add ant-10.patch to fix the FTBFS with Ant 1.10.
* Add java9.patch and openide.util.enumerations.patch to fix the FTBFS with
Java 9. (Closes: #893270)
* Declare compliance with Debian Policy 4.1.4.
2018-02-21 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-7) unstable; urgency=medium
* Sync osgi-update.patch with latest version of libequinox-osgi-java.
* Use compat level 11.
* Declare compliance with Debian Policy 4.1.3.
* Tighten B-D on libequinox-osgi-java.
2017-07-23 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-6) unstable; urgency=medium
* Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
Thanks to Lucas Nussbaum for the report. (Closes: #868923)
* Switch to compat level 10.
* Use https for Format field.
* Declare compliance with Debian Policy 4.0.0.
* Tighten B-D on libjna-platform-java to >= 4.4.0.
2017-04-19 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-5) unstable; urgency=medium
* Use the correct name for libjna-jni library. (Closes: #858876)
2016-08-28 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-4) unstable; urgency=medium
* Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #835691)
Thanks to Lucas Nussbaum for the report.
2016-07-15 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-3) unstable; urgency=medium
* Declare compliance with Debian Policy 3.9.8.
* Vcs-Git: Use https.
* Set permit.jdk8.builds=true.
* Fix include path to find jni_md.h.
Thanks to Lucas Nussbaum for the report. (Closes: #830455)
2015-12-31 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-2) unstable; urgency=medium
* netbeans-platform-o.n.html.ko4j.patch: Readd apisupport.project module.
2015-12-30 - Markus Koschany <apo@debian.org>
libnb-platform18-java (8.1+dfsg1-1) unstable; urgency=medium
* Imported Upstream version 8.1+dfsg1.
* orig-tar.sh: Use xz compression.
* debian/rules: Remove conditional whether patches are applied or not.
* Drop debian/patches/netbeans-platform-junit4.patch. Fixed upstream.
* Refresh debian/patches/netbeans-platform-empty-binaries-list.patch
* Refresh debian/patches/netbeans-platform-windowslauncher.patch
* Add asm4-all.jar to linked-jars and build-depend on libasm4-java.
* Add libhamcrest-java to Build-Depends and update linked-jars accordingly.
* Add netbeans-platform-disable-net.java-modules.patch and disable the
net.java.html module.
* Add netbeans-platform-junitlib.patch to prevent a FTBFS.
* Add netbeans-platform-o.n.html.ko4j.patch and disable o.n.html.ko4j module.
* Update version of openide-* pom files.
* Update my e-mail address.
* libnb-platform18-java: Depend on libasm4-java and libhamcrest-java.
* Install org-openide-util-ui.jar into libnb-org-openide-util-java.
Apparently the old org-openide-util.jar was split into two jar files.
* libnb-platform-devel-java: Tighten dependency on libnb-platform18-java.
* debian/rules: Build with --parallel.

See Also

Package Description
libnb-org-openide-util-java_10.0-2_all.deb Utility classes from the NetBeans Platform
libnb-org-openide-util-lookup-java_10.0-2_all.deb Utility lookup classes from the NetBeans Platform
libnb-platform-devel-java_10.0-2_all.deb Build harness for NetBeans Platform
libnb-platform18-java_10.0-2_all.deb NetBeans Platform for building rich desktop applications in Java
libnbcompat-dev_20180822-5_i386.deb NetBSD pkgsrc compatibility library
libncap-dev_1.9.2-3_i386.deb static library and header files for libncap
libncap44_1.9.2-3_i386.deb network capture library
libncarg-bin_6.5.0-2_i386.deb NCAR command-language library - development tools
libncarg-data_6.5.0-2_all.deb NCAR command-language library - Data
libncarg-dev_6.5.0-2_i386.deb Development files for the NCAR command language library
libncarg0_6.5.0-2_i386.deb NCAR command-language library
libncbi-vdb-dev_2.9.3+dfsg-2_i386.deb libraries for using data in the INSDC Sequence Read Archives (devel)
libncbi-vdb2_2.9.3+dfsg-2_i386.deb libraries for using data in the INSDC Sequence Read Archives
libncbi-wvdb-dev_2.9.3+dfsg-2_i386.deb virtual layer update modul of ncbi-vdb library (devel)
libncbi-wvdb2_2.9.3+dfsg-2_i386.deb virtual layer update modul of ncbi-vdb library
Advertisement
Advertisement